<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateTasks extends Migration
{
    public function up(): void
    {
        Schema::table('tasks', static function (Blueprint $table): void {
            if (Schema::hasColumn('tasks', 'slug')) {
                $table->removeColumn('slug');
            }

            $table->string('name')->nullable();
            $table->boolean('required')->default(false);
            $table->boolean('automatic')->default(false);
            $table->json('action')->nullable();
        });
    }
}
