<?php

namespace EventPortal\Domain\Util\Sidebar;

use Illuminate\Support\Arr;

class SidebarRegistry
{
    /** @var array<string> */
    private $sidebars = [];

    public function make(string $key): SideBar
    {
        if (Arr::has($this->sidebars, $key)) {
            return $this->sidebars[$key];
        }

        $this->sidebars[$key] = new Sidebar;

        return $this->sidebars[$key];
    }
}
