<?php

namespace EventPortal\Http\Controllers\Admin\Event\ActionList;

use EventPortal\Domain\ActionList\Models\Task;
use Illuminate\Http\JsonResponse;

class ToggleTaskController
{
    public function __invoke(Task $task): JsonResponse
    {
        $task->toggle(auth()->user());

        return response()->json([
            'success' => true,
        ]);
    }
}
